<?
/**
 * VoiceOne Webservices Methods
 *  
 * @package voiceone_webservices
 * @subpackage Setup
 */
// ---- SystemPasswords --------------------------------------------------------
$server->wsdl->addComplexType(
    'SystemPasswords',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'asterisk_api'	=> array('name'=>'asterisk_api', 	'type'=>'xsd:string'),
        'voiceone_db'   => array('name'=>'voiceone_db', 	'type'=>'xsd:string'),
        'voiceone_ws'   => array('name'=>'voiceone_ws',   'type'=>'xsd:string'),
        'ssh_access'  	=> array('name'=>'ssh_access', 	  'type'=>'xsd:string')
    )
);
// ---- SystemPasswords[] ------------------------------------------------------
$server->wsdl->addComplexType(
    'SystemPasswordsArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:SystemPasswords[]')
    ),
    'tns:SystemPasswords'
);
?>
